Create an authentication token

Identifies and authenticates a user and returns an authentication token.
Requires an identity value (email, phone, username) and authenticator method (email, password, sms).
If the authenticator is a password, an additional secret is provided. A device and PIN is always required.
If this is a one-step authentication, the token will be included in the response. If this is a two-step authentication, the token will not be available until a secret has been provided using the /tokens/{id}/secret endpoint.

Validation errors:

  • field_identity: missing
  • field_authenticator: missing
  • field_device: missing
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Authentication token input

Input data for creating an authentication token.

string
device
object

Input data for creating or updating a device.

identity
object

Authentication identity input.

string
string
Headers
string
required

Project ID

string
required

Client name and version

string

Idempotency key

Responses

500

Internal Server Error

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json